Package org.apache.aries.transaction

## Enum TransactionAttribute

- java.lang.Object
- - java.lang.Enum<TransactionAttribute>
  - - org.apache.aries.transaction.TransactionAttribute

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<TransactionAttribute>`

    public enum TransactionAttribute
    extends java.lang.Enum<TransactionAttribute>

TODO This is copied from aries transaction. We could share this code

### Enum Constant Summary

Enum Constants
`MANDATORY`
`NEVER`
`NOT_SUPPORTED`
`REQUIRED`
`REQUIRES_NEW`
`SUPPORTS`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`TransactionToken` `begin​(javax.transaction.TransactionManager man)`
`void` `finish​(javax.transaction.TransactionManager man, TransactionToken tranToken)`
`static TransactionAttribute` `fromValue​(javax.transaction.Transactional.TxType type)`
`static TransactionAttribute` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TransactionAttribute[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MANDATORY

    public static final TransactionAttribute MANDATORY

#### NEVER

    public static final TransactionAttribute NEVER

#### NOT_SUPPORTED

    public static final TransactionAttribute NOT_SUPPORTED

#### REQUIRED

    public static final TransactionAttribute REQUIRED

#### REQUIRES_NEW

    public static final TransactionAttribute REQUIRES_NEW

#### SUPPORTS

    public static final TransactionAttribute SUPPORTS

### Method Detail

#### values

    public static TransactionAttribute[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TransactionAttribute c : TransactionAttribute.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TransactionAttribute valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### fromValue

    public static TransactionAttribute fromValue​(javax.transaction.Transactional.TxType type)

#### begin

    public TransactionToken begin​(javax.transaction.TransactionManager man)
                           throws javax.transaction.SystemException,
                                  javax.transaction.NotSupportedException,
                                  javax.transaction.InvalidTransactionException

Throws:
  `javax.transaction.SystemException`
  `javax.transaction.NotSupportedException`
  `javax.transaction.InvalidTransactionException`

#### finish

    public void finish​(javax.transaction.TransactionManager man,
                       TransactionToken tranToken)
                throws javax.transaction.SystemException,
                       javax.transaction.InvalidTransactionException,
                       javax.transaction.RollbackException,
                       javax.transaction.HeuristicMixedException,
                       javax.transaction.HeuristicRollbackException

Throws:
  `javax.transaction.SystemException`
  `javax.transaction.InvalidTransactionException`
  `javax.transaction.RollbackException`
  `javax.transaction.HeuristicMixedException`
  `javax.transaction.HeuristicRollbackException`